export class TeDeumOrigineSchema extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    const requiredInteger = { required: true, nullable: false, integer: true };
    const schema = {};

    schema.bonus1 = new fields.StringField({ required: true, blank: false, initial: "entregent" });
    schema.bonus2 = new fields.StringField({ required: true, blank: false, initial: "entregent" });
    schema.cagnotte = new fields.NumberField({ ...requiredInteger, initial: 0, min: 0 });
    schema.monnaie = new fields.StringField({ required: true, blank: false, initial: "denier" });
    schema.description = new fields.HTMLField({ required: true, blank: true });

    return schema;
  }
}
